html {
    background-image: url('../media/img/guysbanner.png');
    background-position: center;
    background-color: #222;
}

#wrapper {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

#overlay {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

canvas {

}

#name-wrap {
    display: flex;
    justify-content: center;
    margin-bottom: 25px;
}

#name {
    font-family: 'Audiowide', sans-serif;
    font-size: 5em;
    padding: 0;
    margin: 0;
}

button {
    font-size: 46pt;
    position: absolute;
    z-index: 1;
    
    font-family: 'Audiowide', sans-serif;
    
    background-color: #A983BD; /* prob could find a better color */
    
    display: none;
    border-style: none;
    
    outline: 3px solid black;
}

#buttonPlay {
    left: 50%;
    top: 56%;
    transform: translate(-50%, -50%);
}

#buttonBack {
    left: 50%;
    top: 75%;
    transform: translate(-50%, -50%);
}

#buttonEditor {
    left: 50%;
    top: 70%;
    transform: translate(-50%, -50%);
}

#buttonLECancel {
    left: 50%;
    top: 50%;
    transform: translate(-265%, 330%);
}

#buttonLEConfirm {
    left: 50%;
    top: 50%;
    transform: translate(282.5%, 330%);
}

#buttonPlayAgain {
    left: 50%;
    top: 60%;
    transform: translate(-50%, -50%);
}

#buttonPlay, #buttonEditor, #buttonPlayAgain, #buttonBack {
    padding: 10px 25px;
}

#buttonHelpGo {
    left: 50%;
    top: 75%;
    transform: translate(-50%, -50%);
    
    padding: 10px 50px;
}

button:hover {
    background-color: #c094ce;
    cursor: pointer;
}

button:focus {
    outline: 0;
}

#levelDisplayWrapper {
    display: none;
    position: absolute;
    
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#levelsDisplay {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.levelWrap {
    text-align: center;
}

.levelName {
    font-family: 'Audiowide', sans-serif;
    font-size: 24pt;
    margin: 0;
    padding: 0;
    color: white
}

.levelImg {
    width: 320px;
    height: 180px;
    margin: 40px;
    
    outline: 1px solid black;
}

img {
    transition: .15s ease-in-out;
    filter: brightness(.8);
}

img:hover {
    cursor: pointer;
    filter: brightness(1);
}

#imgloading {
    display: none;
}

#audioControls {
    display: none;
}